For the complete documentation index, see llms.txt. This page is also available as Markdown.

🏭 Assets

Company asset tracking and management

List assets

get
/api/v1.0/organisation/{org_uid}/assets/

Get a paginated list of assets with optional filters

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Query parameters
asset_typestringOptional

Filter assets by asset type

assigned_tostringOptional

Filter assets by assigned person unique_id

categorystringOptional

Filter assets by category

conditionstringOptional

Filter assets by condition

namestringOptional

Filter assets by name (case-insensitive partial match)

searchstringOptional

Search assets by name, asset code, or serial number

statusstringOptional

Filter assets by status (active, inactive, disposed, etc.)

Responses
200Success
application/json

Lightweight serializer for asset lists.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
purchase_datestring · dateRequired
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
is_warranty_expiredbooleanRead-onlyRequired
date_createdstring · date-time · nullableOptional
get/api/v1.0/organisation/{org_uid}/assets/
GET /api/v1.0/organisation/{org_uid}/assets/ HTTP/1.1
Host: skhokho.ai
Accept: */*
[
  {
    "unique_id": "text",
    "name": "text",
    "asset_code": "text",
    "serial_number": "text",
    "asset_type": "ppe",
    "category": "text",
    "brand": "text",
    "model": "text",
    "purchase_price": "text",
    "purchase_date": "2026-01-01",
    "status": "active",
    "condition": "excellent",
    "location": "text",
    "assigned_to": {
      "unique_id": "text",
      "full_name": "text"
    },
    "image_url": "text",
    "is_warranty_expired": true,
    "date_created": "2026-01-01T00:00:00.000Z"
  }
]

Create asset

post
/api/v1.0/organisation/{org_uid}/assets/create/

Create a new asset

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Body

Full serializer for Asset creation and updates. Handles translatable fields correctly.

namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumRequired

Asset type is required.

  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Purchase price is required and must be non-negative.

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired

Purchase date is required.

warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
assigned_to_idstring · min: 1 · nullableWrite-onlyOptional

Unique ID of person to assign asset to

imagestring · binary · nullableOptional

Asset image for identification

receipt_documentstring · binary · nullableOptional

Upload receipt, invoice, or purchase document (PDF, DOC, DOCX, JPG, PNG)

supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
Responses
201Success
application/json

Detailed serializer for single asset retrieval.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
descriptionstringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired
warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
receipt_document_urlstring · nullableRead-onlyRequired
supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
is_warranty_expiredbooleanRead-onlyRequired
years_since_purchaseinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
post/api/v1.0/organisation/{org_uid}/assets/create/
POST /api/v1.0/organisation/{org_uid}/assets/create/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 493

{
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to_id": "text",
  "image": "binary",
  "receipt_document": "binary",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text"
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "image_url": "text",
  "receipt_document_url": "text",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "is_warranty_expired": true,
  "years_since_purchase": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Retrieve asset

get
/api/v1.0/organisation/{org_uid}/assets/{unique_id}/

Get detailed information about a specific asset

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Responses
200Success
application/json

Detailed serializer for single asset retrieval.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
descriptionstringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired
warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
receipt_document_urlstring · nullableRead-onlyRequired
supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
is_warranty_expiredbooleanRead-onlyRequired
years_since_purchaseinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisation/{org_uid}/assets/{unique_id}/
GET /api/v1.0/organisation/{org_uid}/assets/{unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "image_url": "text",
  "receipt_document_url": "text",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "is_warranty_expired": true,
  "years_since_purchase": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update asset

put
/api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/

Update asset information (PUT for full update, PATCH for partial)

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Full serializer for Asset creation and updates. Handles translatable fields correctly.

namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumRequired

Asset type is required.

  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Purchase price is required and must be non-negative.

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired

Purchase date is required.

warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
assigned_to_idstring · min: 1 · nullableWrite-onlyOptional

Unique ID of person to assign asset to

imagestring · binary · nullableOptional

Asset image for identification

receipt_documentstring · binary · nullableOptional

Upload receipt, invoice, or purchase document (PDF, DOC, DOCX, JPG, PNG)

supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
Responses
200Success
application/json

Detailed serializer for single asset retrieval.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
descriptionstringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired
warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
receipt_document_urlstring · nullableRead-onlyRequired
supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
is_warranty_expiredbooleanRead-onlyRequired
years_since_purchaseinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
put/api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/
PUT /api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 493

{
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to_id": "text",
  "image": "binary",
  "receipt_document": "binary",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text"
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "image_url": "text",
  "receipt_document_url": "text",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "is_warranty_expired": true,
  "years_since_purchase": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update asset

patch
/api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/

Update asset information (PUT for full update, PATCH for partial)

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Full serializer for Asset creation and updates. Handles translatable fields correctly.

namestring · min: 1 · max: 300Optional
descriptionstring · nullableOptional
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional

Asset type is required.

  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalOptional

Purchase price is required and must be non-negative.

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateOptional

Purchase date is required.

warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
assigned_to_idstring · min: 1 · nullableWrite-onlyOptional

Unique ID of person to assign asset to

imagestring · binary · nullableOptional

Asset image for identification

receipt_documentstring · binary · nullableOptional

Upload receipt, invoice, or purchase document (PDF, DOC, DOCX, JPG, PNG)

supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
Responses
200Success
application/json

Detailed serializer for single asset retrieval.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
descriptionstringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired
warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
receipt_document_urlstring · nullableRead-onlyRequired
supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
is_warranty_expiredbooleanRead-onlyRequired
years_since_purchaseinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
patch/api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/
PATCH /api/v1.0/organisation/{org_uid}/assets/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 493

{
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to_id": "text",
  "image": "binary",
  "receipt_document": "binary",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text"
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "image_url": "text",
  "receipt_document_url": "text",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "is_warranty_expired": true,
  "years_since_purchase": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Perform action on asset

get
/api/v1.0/organisation/{org_uid}/assets/{unique_id}/action/

Perform actions on an asset (deactivate, mark_disposed). Uses query parameters.

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Query parameters
actionstring · enumRequired

Action to perform: deactivate or mark_disposed

Possible values:
Responses
200Success
application/json

Detailed serializer for single asset retrieval.

unique_idstring · max: 100 · nullableOptional
namestringRead-onlyRequired
descriptionstringRead-onlyRequired
asset_codestring · max: 100 · nullableOptional
serial_numberstring · max: 200 · nullableOptional
asset_typestring · enumOptional
  • ppe - Property, Plant & Equipment
  • equipment - Equipment
  • furniture - Furniture & Fixtures
  • vehicle - Vehicle
  • computer - Computer & IT Equipment
  • software - Software
  • building - Building
  • land - Land
  • intangible - Intangible Asset
  • other - Other
Possible values:
categorystring · max: 200 · nullableOptional
brandstring · max: 200 · nullableOptional
modelstring · max: 200 · nullableOptional
purchase_pricestring · decimalRequired

Original purchase price

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
useful_life_yearsinteger · min: 1 · max: 100Optional

Expected useful life in years

purchase_datestring · dateRequired
warranty_expiry_datestring · date · nullableOptional
disposal_datestring · date · nullableOptional
statusstring · enumOptional
  • active - Active
  • inactive - Inactive
  • disposed - Disposed
  • sold - Sold
  • damaged - Damaged
  • under_repair - Under Repair
  • stolen - Stolen
Possible values:
conditionstring · enumOptional
  • excellent - Excellent
  • good - Good
  • fair - Fair
  • poor - Poor
  • damaged - Damaged
Possible values:
locationstring · max: 300 · nullableOptional
image_urlstring · nullableRead-onlyRequired
receipt_document_urlstring · nullableRead-onlyRequired
supplier_namestring · max: 300 · nullableOptional
purchase_order_numberstring · max: 100 · nullableOptional
invoice_numberstring · max: 100 · nullableOptional
is_warranty_expiredbooleanRead-onlyRequired
years_since_purchaseinteger · nullableRead-onlyRequired
date_createdstring · date-time · nullableOptional
last_updatedstring · date-time · nullableOptional
get/api/v1.0/organisation/{org_uid}/assets/{unique_id}/action/
GET /api/v1.0/organisation/{org_uid}/assets/{unique_id}/action/?action=deactivate HTTP/1.1
Host: skhokho.ai
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "asset_code": "text",
  "serial_number": "text",
  "asset_type": "ppe",
  "category": "text",
  "brand": "text",
  "model": "text",
  "purchase_price": "text",
  "useful_life_years": 1,
  "purchase_date": "2026-01-01",
  "warranty_expiry_date": "2026-01-01",
  "disposal_date": "2026-01-01",
  "status": "active",
  "condition": "excellent",
  "location": "text",
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "image_url": "text",
  "receipt_document_url": "text",
  "supplier_name": "text",
  "purchase_order_number": "text",
  "invoice_number": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "is_warranty_expired": true,
  "years_since_purchase": 1,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Last updated